Bug 1554533 - Schedule report fails to send mail when report is not empty
Summary: Schedule report fails to send mail when report is not empty
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.4
Assignee: Yuri Rudman
QA Contact: Niyaz Akhtar Ansari
URL:
Whiteboard:
Depends On: 1547846
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-12 21:52 UTC by Satoe Imaishi
Modified: 2018-06-25 14:18 UTC (History)
5 users (show)

Fixed In Version: 5.8.4.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1547846
Environment:
Last Closed: 2018-06-25 14:18:08 UTC
Category: ---
Cloudforms Team: CFME Core


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1972 None None None 2018-06-25 14:18:45 UTC

Comment 3 CFME Bot 2018-04-09 18:36:32 UTC
New commit detected on ManageIQ/manageiq/fine:

https://github.com/ManageIQ/manageiq/commit/7769da8650faee0f9a609cf5097a4bde502aa551
commit 7769da8650faee0f9a609cf5097a4bde502aa551
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Mon Mar 12 15:27:32 2018 -0400
Commit:     Gregg Tanzillo <gtanzill@redhat.com>
CommitDate: Mon Mar 12 15:27:32 2018 -0400

    Merge pull request #17132 from yrudman/do-not-group-recepients-to-subgroup-when-sending-attached-report

    Do not divide recipients to subgroup when sending attached report
    (cherry picked from commit 22652d90b278f74985a8f441b19f08c41884bbf4)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1554533

 app/models/miq_report/notification.rb | 36 +-
 config/settings.yml | 1 -
 2 files changed, 9 insertions(+), 28 deletions(-)

Comment 4 Niyaz Akhtar Ansari 2018-05-17 11:08:22 UTC
I am unable to select custom report In Filter drop downs while creating schedule.

I have logged the issue in 5.9 which has been fixed in 5.9 but the issue is reproducible in 5.8.4.1 as well. 

5.9 BZ : https://bugzilla.redhat.com/show_bug.cgi?id=1559323

Comment 5 Yuri Rudman 2018-05-17 12:14:51 UTC
Niyaz, could you test this BZ using standard reports, which should be available for selection ?

Comment 6 Niyaz Akhtar Ansari 2018-05-17 12:30:15 UTC
Yuri, I have tested with standard reports and its works fine.
I moved to assign as per step 2 of steps to reproduce because i can't select the custom report.

It works fine with standard reports.

Comment 7 Yuri Rudman 2018-05-17 12:53:21 UTC
OK, thank you Niyaz.

I can confirm that for the purpose of testing this specific bug step 2 could be replaced  by "select any report". There is no differentiations between standard and custom reports when sending e-mail notification.

Moving this BZ to Verified state

Comment 9 errata-xmlrpc 2018-06-25 14:18:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1972


Note You need to log in before you can comment on or make changes to this bug.